#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%global		short		yaml
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	python3-pyyaml
Version		:	6.0.2
Release		:	17.2.0.rel%{?dist}
Summary		:	YAML parser and emitter for Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/yaml/pyyaml

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	libyaml
#-----------------------------------------------------------------------------
%description
YAML is a data serialization format designed for human
readability and interaction with scripting languages.
PyYAML is a YAML parser and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode
support, pickle support, capable extension API, and
sensible error messages.  PyYAML supports standard
YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks
from complex configuration files to object serialization
and persistence.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/_%{short}/__init__.py
%{python3_sitelib}/_%{short}/__pycache__/*.pyc
%{python3_sitelib}/%{short}/*.py
%{python3_sitelib}/%{short}/__pycache__/*.pyc
%{python3_sitelib}/PyYAML-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\
	--config-setting=--with-libyaml			\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
